<template>
  <div>
    <a
      :href="href"
      :target="target"
      v-if="!secondary">
      <button
        class="my-btn bg-blue-400 hover:bg-blue-600 text-white">
        {{ title }}
      </button>
    </a>
    <a
      :href="href"
      :target="target"
      v-else>
      <button
        class="my-btn bg-white hover:bg-gray-200 text-blue-400">
        {{ title }}
      </button>
    </a>
  </div>
</template>

<script lang="ts">
import Vue from 'vue'
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';

export interface IButton {
  href: string;
  title: string;
  secondary?: boolean;
}

@Component({
  props: {
    href: { type: String, required: true },
    title: { type: String, required: true },
    secondary: { type: Boolean, default: false },
    target: { type: String, default: '_blank' }
  },
})
export default class Button extends Vue {}
</script>

<style lang="postcss">
.my-btn {
  @apply w-64 font-bold py-2 px-10 rounded-full border-4 border-blue-400;
}
</style>
